Package icyllis.modernui.graphics.text

# Class MeasuredText.Run

java.lang.Object
icyllis.modernui.graphics.text.MeasuredText.Run

Direct Known Subclasses:
  `MeasuredText.ReplacementRun`, `MeasuredText.StyleRun`

Enclosing class:
  `MeasuredText`

public abstract static class MeasuredText.Run extends Object
A logical run, subrange of bidi run.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `mEnd`
  `final int`
  `mStart`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `canBreak()`
  `abstract float`
  `getAdvance(char[] text, int pos)`
  `abstract float`
  `getAdvance(char[] text, int start, int end)`
  `abstract void`
  `getExtent(char[] text, int start, int end, FontMetricsInt extent)`
  `abstract int`
  `getLineBreakStyle()`
  `abstract int`
  `getLineBreakWordStyle()`
  `abstract Locale`
  `getLocale()`
  `abstract int`
  `getMemoryUsage()`
  `abstract boolean`
  `isRtl()`
  `abstract void`
  `measure(char[] text, boolean computeLayout)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mStart

    public final int mStart

  - ### mEnd

    public final int mEnd

- ## Method Details

  - ### measure

    public abstract void measure(@NonNull char[] text, boolean computeLayout)

  - ### getExtent

    public abstract void getExtent(@NonNull char[] text, int start, int end, @NonNull FontMetricsInt extent)

  - ### getAdvance

    public abstract float getAdvance(char[] text, int pos)

  - ### getAdvance

    public abstract float getAdvance(char[] text, int start, int end)

  - ### isRtl

    public abstract boolean isRtl()

  - ### canBreak

    public abstract boolean canBreak()

  - ### getLocale

    @NonNull public abstract Locale getLocale()

  - ### getLineBreakStyle

    public abstract int getLineBreakStyle()

  - ### getLineBreakWordStyle

    public abstract int getLineBreakWordStyle()

  - ### getMemoryUsage

    public abstract int getMemoryUsage()